import FSCounter
from ImageFile import ImageFile

def initialize(context):
    try:
        context.registerClass(FSCounter.FSCounter, constructors = (FSCounter.manage_addFSCounterForm,FSCounter.manage_addFSCounter), icon='www/num.gif')
    except:
        # arrgh it didnt work.
        import sys, traceback, string
        type, val, tb = sys.exc_info()
        sys.stderr.write(string.join(traceback.format_exception(type, val, tb), ''))
        del type, val, tb

misc_ = {}
for x in range(0, 10):
    misc_['%d.gif' % x] = ImageFile('www/%d.gif' % x, globals())
